LDEXP(3)

NAME
ldexp - multiply floating-point number by integral power of 2

SYNOPSIS
#include <math.h>
double
ldexp(double x, int exp);

DESCRIPTION
The ldexp() function multiplies a floating-point number by an integral power of 2.

RETURN VALUES
The ldexp() function returns the value of x times 2 raised to the power exp.

If the resultant value would cause an overflow, the global variable errno is set to ERANGE and the value HUGE is returned.

SEE ALSO
frexp(3), math(3), modf(3)

STANDARDS
The ldexp() function conforms to ansiC.